<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');




// GESTION DE LOS LISTADOS DE PRODUCTOS

$productosLeidos=array();

foreach($_SESSION['productos'] as $producto) {

	if($_GET['traza']=='si') {
		print_r($producto);
		echo "<hr>";
	}

	if($producto['Leido']>0) {
		$productosLeidos[]=$producto;
	}
 
	
}



if($_POST) {

	//print_r($_POST);
	//echo "<hr><hr>";

	$parametros='';

	foreach($productosLeidos as $producto) {
		
		$hayPalet=false;
		
		$palets=arreglaArrayPXMobileProxiumResult($producto['ProductoPalets']);
		
		if(count($palets)>0) $hayPalet=true;
		
		if(!$hayPalet) $palets=array(array('CodigoPalet'=>'','CantidadLeida'=>$producto['Leido']));
		
		foreach($palets as $palet) {
			
			if ($hayPalet) $numerosSerie=arreglaArrayPXMobileProxiumResult($palet['NumerosSerie']);
			else $numerosSerie=arreglaArrayPXMobileProxiumResult($producto['NumerosSerie']);
			
			$cantidad=$_POST['desleer_'.$producto['LineaEntrada'].'_'.$palet['CodigoPalet']];
			
			if($cantidad>0) {
				
				//echo "<p>Linea: ".$producto['LineaEntrada']."</p>";
				//echo "<p>Palet: ".$palet['CodigoPalet']."</p>";
				//echo "<p>Cantidad a desleer: ".$cantidad."</p>";
				
				if($producto['ControlNumSerie']=='S') {
					
					$numerosSerie='';
					
					foreach($_POST as $campo=>$valor) {
					
						$valores=explode('_',$campo);
						if($valores[1]==$producto['LineaEntrada'] && $valores[2]==$palet['CodigoPalet'] && $valor=='on') {
							//echo "<p>Numero de Serie: ".$valores[3]."</p>";
							$numerosSerie.=$valores[3].',';
						}

					}
					
					$numerosSerie=substr($numerosSerie,0,-1);
				}
				
				if(!$palet['CodigoPalet']) $palet['CodigoPalet']='-';
				
				$parametros.=$producto['LineaEntrada'].','.$palet['CodigoPalet'].','.$cantidad;
				if($numerosSerie) $parametros.=','.$numerosSerie;
				$parametros.=';';
				
			}
			
		}
		
	}
	
	$parametros=substr($parametros,0,-1);
	
	//echo "<p>".$parametros."</p>";
	
	$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#ANULACIONLECTURAPRODUCTO#'.$_SESSION['almacen'].';'.$_SESSION['entrada']['Empresa'].';'.$_SESSION['entrada']['NumEntrada'].';'.$parametros;
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	
	if($valores[0]=='0') {
		?>
        <script>
		alert('Los productos han sido liberados de la lectura correctamente.',null,'ok')
		.done(function(){
			$('#popupCargando').show();
			window.location='<?php echo $rutaHtml; ?>/entrada-mercancia.php';
		});
		</script>
        <?php
	}
	else {
		?>
        <p class="error">ERROR: <?php echo $valores[1]; ?></p>
        <?php
	}

}
else {

?>

<div class="estilosOP">

<div id="popupNumerosSerie" class="popup" style="display:none"></div>
<div id="popupNumerosSerieContenido" class="popupContenidoScroll" style="display:none"></div>

<h2>Entrada de Mercancía Nº <?php echo $_SESSION['entrada']['NumEntrada']; ?></h2>

<form id="formulario" name="formulario" method="post" action="">

<table class="tablaFormateada anchoMaximo desplazamientoSuperior">
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><th>Empresa</th><?php } ?>
    <th>Fecha</th>
	<th>Régimen</th>
	<th>Cliente</th>
	<th>Tipo Entrada</th>
	<th>Tipo Documento</th>
	<th>Expedidor</th>
</tr>
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $_SESSION['entrada']['Empresa']; ?></td><?php } ?>
    <td><?php echo fechaNacional($_SESSION['entrada']['FechaEntrada']); ?></td>
    <td><?php echo $_SESSION['entrada']['Regimen']; ?></td>
    <td><?php echo $_SESSION['entrada']['ClientePropietario']; ?></td>
	<td><?php echo $_SESSION['entrada']['TipoEntrada']; ?></td>
	<td><?php echo $_SESSION['entrada']['TipoDocumento']; ?></td>
	<td><?php echo $_SESSION['entrada']['Expedidor']; ?></td>
  </tr>
</table>

<h3>Productos leídos:</h3>
		
<table class="tablaFormateada">
  <tr>
    	<th>Código</th>
        <th>Descripción</th>
        <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
        	<?php if($comportamiento['Activo']=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
        <?php } ?>
        <th>Palet</th>
      <th>Cantidad</th>
        <th>Formato</th>
	    <th>Liberar</th>
	</tr>
    <?php
        
	foreach($productosLeidos as $producto) {
		
		$hayPalet=false;
		
		$contador++;
		$datos=arreglaArrayPXMobileProxiumResult($producto['Datos']);
			
		$palets=arreglaArrayPXMobileProxiumResult($producto['ProductoPalets']);
		
		foreach($palets as $palet) {
			
			if($palet['CantidadLeida']>0) {
			
				if ($palet['CodigoPalet']) $numerosSerie=arreglaArrayPXMobileProxiumResult($palet['NumerosSerie']);
				else $numerosSerie=arreglaArrayPXMobileProxiumResult($producto['NumerosSerie']);
				
				?>
				<tr class="lineaEntrada <?php if($producto['MarcaLineaNueva']=='S') { ?>verde<?php } ?>" >
					<td valign="top"><?php echo $producto['Codigo']; ?></td>
				  <td align="left" valign="top" style="max-width:400px;word-wrap:break-word;"><?php echo $producto['Descripcion']; ?></td>
					<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
						<?php if($comportamiento['Activo']=='S') { ?>
						<td valign="top" align="left">
						<?php
						if($comportamiento['Codigo']=='NS' && $producto['NumerosSerie']) {
							foreach($numerosSerie as $numero) {
								?><input name="numserie_<?php echo $producto['LineaEntrada']; ?>_<?php echo $palet['CodigoPalet']; ?>_<?php echo $numero['NumeroSerie']; ?>" type="checkbox" class="checkGrande selectorNumeroSerie" id="numserie_<?php echo $producto['LineaEntrada']; ?>_<?php echo $palet['CodigoPalet']; ?>_<?php echo $numero['NumeroSerie']; ?>" value="on" lineaentrada="<?php echo $producto['LineaEntrada']; ?>" codigopalet="<?php echo $palet['CodigoPalet']; ?>"/>
				  <?php echo $numero['NumeroSerie']; ?><br /><?php
							}
						}
						else echo formateaTipo($producto[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
						?>              </td>
					<?php } ?>
					<?php } ?>
					<td align="center" valign="top"><?php if($palet['CodigoPalet']!='-') echo $palet['CodigoPalet']; ?></td>
					<td align="right" valign="top"><?php echo number_format($palet['CantidadLeida'],0,',','.'); ?></td>
				  <td align="center" valign="top"><?php echo $producto['Formato']; ?></td>
				  <td align="center" valign="top">
						<input name="desleer_<?php echo $producto['LineaEntrada']; ?>_<?php echo $palet['CodigoPalet']; ?>" type="text" id="desleer_<?php echo $producto['LineaEntrada']; ?>_<?php echo $palet['CodigoPalet']; ?>" size="2" maxlength="12" class="cantidad campo" maximo="<?php echo $palet['CantidadLeida']; ?>" contador="<?php echo $contador; ?>" <?php if($producto['ControlNumSerie']=='S') { ?>readonly="readonly"<?php } ?> autocomplete="off"/>
				  </td>
				</tr>
				<?php
			
			}
        
		} //Fin iteración palets
		    
	} //Fin iteracion productos
?>
</table>

<p><input type="submit" name="botonConfirmarDesleer" id="botonConfirmarDesleer" value="Confirmar liberación de lecturas" class="boton"/></p>

</form>

<p><input type="submit" name="botonVolver" id="botonVolver" value="Volver a la Entrada" class="boton reducido mostrarCargando"/></p>

</div> <!-- classe estilosOP -->

<script>

$(document).ready(function() {

	
		
		$('#botonVolver').on("click",function(e) {
			e.preventDefault();
			window.location='<?php echo $rutaHtml; ?>/entrada-mercancia.php';
		});
		
		
		$('.selectorNumeroSerie').on('click',function() {
		
			var lineaentrada=$(this).attr('lineaentrada');
			var codigopalet=$(this).attr('codigopalet');
			
			var cuantos=0;
			
			$('.selectorNumeroSerie').each(function(){
				var lineaentrada2=$(this).attr('lineaentrada');
				var codigopalet2=$(this).attr('codigopalet');
				if( $(this).is(':checked') && lineaentrada==lineaentrada2 && codigopalet==codigopalet2 ) cuantos++;
			});
			
			if(cuantos==0) cuantos='';
			
			$('#desleer_'+lineaentrada+'_'+codigopalet).val( cuantos );
		
		});
		
		$('#botonConfirmarDesleer').on("click",function(e) {
		
			e.preventDefault();
			
			$('.cantidad').each(function() {
				$(this).removeClass('campoError');
			});
			
			var vacio=true;
			var error=false;
			
			$('.cantidad').each(function(){
			
				if($(this).val()!='') vacio=false;
			
				var contador=$(this).attr('contador');
				var maximo;
				
				maximo=parseFloat($(this).attr('maximo'));
				
				if( parseFloat($(this).val()) > maximo ) {
					$(this).addClass('campoError');
					error=true;
				}

			});
			
			if(vacio) {
				alert('ATENCIÓN: No hay especificada ninguna cantidad a liberar.',null,'error');
			}
			else if(error) {
				alert('ERROR: Hay cantidades que exceden el total Preparado.',null,'error');
			}
			else {
				$('#popupCargando').show();
				$('#formulario').submit();
			}
		});
		
		$('.cantidad').on("click",function(e) {
		
			if( ! $(this).attr('readonly')) {
		
				$('#calculadora').show();
				$('#valorCalculadora').val( $(this).val() );
				$('#enterCalculadora').attr('campoValor',$(this).attr('id'));
			
			}
		
		});
		
});

</script>
<?php
}

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>